edu.msu.cme.rdp.classifier.train.validation

## Class Taxonomy

- java.lang.Object
- - edu.msu.cme.rdp.classifier.train.validation.Taxonomy

    public class Taxonomy
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `GENUS`

### Constructor Summary

Constructors
Constructor and Description
`Taxonomy(int id, java.lang.String name, int pid, int depth, java.lang.String level)` Creates a new instance of Taxonomy

### Method Summary

Methods
`int` `getDepth()`
`java.lang.String` `getHierLevel()`
`java.lang.String` `getLineage()`
`java.lang.String` `getName()`
`int` `getParentID()`
`int` `getTaxID()`
`void` `setDepth(int d)`
`void` `setLineage(java.lang.String l)`
`void` `setParentID(int p)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### GENUS

    public static final java.lang.String GENUS

See Also:
  Constant Field Values

### Constructor Detail

#### Taxonomy

    public Taxonomy(int id,
            java.lang.String name,
            int pid,
            int depth,
            java.lang.String level)

Creates a new instance of Taxonomy

### Method Detail

#### getTaxID

    public int getTaxID()

#### getParentID

    public int getParentID()

#### setParentID

    public void setParentID(int p)

#### getDepth

    public int getDepth()

#### setDepth

    public void setDepth(int d)

#### getHierLevel

    public java.lang.String getHierLevel()

#### getName

    public java.lang.String getName()

#### getLineage

    public java.lang.String getLineage()

#### setLineage

    public void setLineage(java.lang.String l)